# Role : docker_roundcube


## Services fournis

Installation de roundcube sur un serveur docker_host, éventuellement en lien avec un keycloak pour l'authentification


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_roundcube_fqdn: roundcube.libretic.fr
docker_roundcube_version: 1.5.2-apache
docker_roundcube_data_dir: /data1
docker_roundcube_service_id: roundcube
docker_roundcube_db_name: roundcube
docker_roundcube_db_user: roundcubedbuser
docker_roundcube_db_password: mdp_de_roundcubedbuser
docker_roundcube_mail_server: mail.libretic.fr
docker_roundcube_maxfilesize: 1M
docker_roundcube_plugins: plugin1,plugin2
docker_roundcube_aspell_dicts: fr
docker_roundcube_username_domain: libretic.fr
docker_roundcube_php_maxpostsize: 1M
docker_roundcube_php_memory_limit: 1024M
docker_roundcube_oauth_provider_name: Libretic
docker_roundcube_oauth_client_id: roundcube_oidc_client_id
docker_roundcube_oauth_client_secret: roundcube_oidc_client_secret
docker_roundcube_oauth_auth_uri: https://auth.libretic.fr/auth/realms/master/protocol/openid-connect/auth
docker_roundcube_oauth_token_uri: https://auth.libretic.fr/auth/realms/master/protocol/openid-connect/token
docker_roundcube_oauth_identity_uri: https://auth.libretic.fr/auth/realms/master/protocol/openid-connect/userinfo
docker_roundcube_oauth_scope: "profile email"
docker_roundcube_oauth_identity_fields_array: ['email']
docker_roundcube_oauth_login_redirect: "true"
```

| Option                                       | Valeur par défaut | Description                                                                                                             |
|----------------------------------------------|-------------------|-------------------------------------------------------------------------------------------------------------------------|
| docker_roundcube_fqdn                        |                   | Le nom de domaine pour lequel le service roundcube répond                                                               |
| docker_roundcube_version                     |                   | Version de l'image docker pour roundcube                                                                                |
| docker_roundcube_data_dir                    |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service                                     |
| docker_roundcube_service_id                  |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik                               |
| docker_roundcube_db_name                     |                   | Nom de la base de données postgres pour roundcube                                                                       |
| docker_roundcube_db_user                     |                   | Nom du user postgres propriétaire de la base de données                                                                 |
| docker_roundcube_db_password                 |                   | Mot du passe du user postgres                                                                                           |
| docker_roundcube_mail_server                 |                   | fqdn du serveur de mail ; la connexion se fera en tls                                                                   |
| docker_roundcube_maxfilesize                 |                   | Taille max d'une pièce jointe en Mo : ex 10M                                                                            |
| docker_roundcube_plugins                     |                   | Liste de plugins roundcube séparés par des virgules                                                                     |
| docker_roundcube_aspell_dicts                | fr                | Dictionnaires pour la vérification d'orthographe                                                                        |
| docker_roundcube_username_domain             |                   | Suffixe ajouté à l'identifiant pour constituer le login                                                                 |
| docker_roundcube_php_maxpostsize             |                   | Taille maximum d'une requete post en Mo ; doit être supérieur à la taille d'une PJ, notamment si plusieurs PJ : ex 20 M |
| docker_roundcube_php_memory_limit            |                   | Taille mémoire max utilisable par php                                                                                   |
| docker_roundcube_oauth_provider_name         |                   | Si précisé, active la configuration Openid. Représente le nom affiché dans pour la sélection du fournisseur d'identité  |
| docker_roundcube_oauth_client_id             |                   | Identifiant de client openid connect                                                                                    |
| docker_roundcube_oauth_client_secret         |                   | Secret du client openid connect                                                                                         |
| docker_roundcube_oauth_auth_uri              |                   | Auth URI de la fédération d'identité                                                                                    |
| docker_roundcube_oauth_token_uri             |                   | Token URI de la fédération d'identité                                                                                   |
| docker_roundcube_oauth_identity_uri          |                   | Identity URI de la fédération d'identité                                                                                |
| docker_roundcube_oauth_scope                 | profile email     | OIDC scopes nécessaires pour roundcube                                                                                  |
| docker_roundcube_oauth_identity_fields_array | ['email']         | Attributs d'identité utilisés par roundcube pour retrouver le username                                                  |
| docker_roundcube_oauth_login_redirect        | true              | Activer la redirection vers le login openid connect ("true" ou "false")                                                 |
